#
# Top Makefile for WebMagick
#
# Copyright Bob Friesenhahn, 1999
#
AUTOMAKE_OPTIONS = 1.2

# Subdirectories under Automake control
SUBDIRS = doc icons utils

# Binary scripts
bin_SCRIPTS = webmagick

# Directory in which to install WebMagick icons & html files
ICON_INSTALL_DIR   = @ROOTPATH@/@ICONPATH@
ICON_INSTALL_FILES = webmagick.js

ETC_INSTALL_DIR = ${exec_prefix}/etc

install-data-local:
	$(mkinstalldirs) $(ICON_INSTALL_DIR)
	for file in $(ICON_INSTALL_FILES) ; \
	do \
	  $(INSTALL_SCRIPT) $$file $(ICON_INSTALL_DIR) ; \
	done
	$(INSTALL_DATA) webmagickrc $(ETC_INSTALL_DIR)/webmagickrc

# Additional files to distribute
EXTRA_DIST = INSTALL.generic MANIFEST TODO webmagick.in \
	 webmagick.js webmagick.lsm webmagick.lsm.in webmagickrc.in

# Generate webmagick.lsm from webmagick.lsm.in at dist time.
webmagick.lsm : webmagick.lsm.in configure.in
	date=`date +"%Y-%m-%d" | tr '[a-z]' '[A-Z]'`; \
	sed -e "s/%VERSION%/@VERSION@/g" < webmagick.lsm.in | \
	sed -e "s/%DATE%/$$date/g" > webmagick.lsm

dist-hook: webmagick.lsm
